gtksourceviewmm: gtksourceviewmm Enums and Flags

gtksourceviewmm 3.91.1

Enumerations | Functions
gtksourceviewmm Enums and Flags

## Enumerations
enum | Gsv::BracketMatchType { Gsv::BRACKET_MATCH_NONE , Gsv::BRACKET_MATCH_OUT_OF_RANGE , Gsv::BRACKET_MATCH_NOT_FOUND , Gsv::BRACKET_MATCH_FOUND }
enum | Gsv::CompletionActivation { Gsv::COMPLETION_ACTIVATION_NONE = 0x0 , Gsv::COMPLETION_ACTIVATION_INTERACTIVE = 1 << 0 , Gsv::COMPLETION_ACTIVATION_USER_REQUESTED = 1 << 1 }
enum | Gsv::GutterRendererState { Gsv::GUTTER_RENDERER_STATE_NORMAL = 0x0 , Gsv::GUTTER_RENDERER_STATE_CURSOR = 1 << 0 , Gsv::GUTTER_RENDERER_STATE_PRELIT = 1 << 1 , Gsv::GUTTER_RENDERER_STATE_SELECTED = 1 << 2 }
enum | Gsv::GutterRendererAlignmentMode { Gsv::GUTTER_RENDERER_ALIGNMENT_MODE_CELL , Gsv::GUTTER_RENDERER_ALIGNMENT_MODE_FIRST , Gsv::GUTTER_RENDERER_ALIGNMENT_MODE_LAST }
| The alignment mode of the renderer, when a cell spans multiple lines (due to text wrapping). More...
enum | Gsv::SmartHomeEndType { Gsv::SMART_HOME_END_DISABLED , Gsv::SMART_HOME_END_BEFORE , Gsv::SMART_HOME_END_AFTER , Gsv::SMART_HOME_END_ALWAYS }
enum | Gsv::BackgroundPatternType { Gsv::BACKGROUND_PATTERN_TYPE_NONE , Gsv::BACKGROUND_PATTERN_TYPE_GRID }

## Functions
CompletionActivation | Gsv::operator| (CompletionActivation lhs, CompletionActivation rhs)
CompletionActivation | Gsv::operator& (CompletionActivation lhs, CompletionActivation rhs)
CompletionActivation | Gsv::operator^ (CompletionActivation lhs, CompletionActivation rhs)
CompletionActivation | Gsv::operator~ (CompletionActivation flags)
CompletionActivation& | Gsv::operator|= (CompletionActivation& lhs, CompletionActivation rhs)
CompletionActivation& | Gsv::operator&= (CompletionActivation& lhs, CompletionActivation rhs)
CompletionActivation& | Gsv::operator^= (CompletionActivation& lhs, CompletionActivation rhs)
GutterRendererState | Gsv::operator| (GutterRendererState lhs, GutterRendererState rhs)
GutterRendererState | Gsv::operator& (GutterRendererState lhs, GutterRendererState rhs)
GutterRendererState | Gsv::operator^ (GutterRendererState lhs, GutterRendererState rhs)
GutterRendererState | Gsv::operator~ (GutterRendererState flags)
GutterRendererState& | Gsv::operator|= (GutterRendererState& lhs, GutterRendererState rhs)
GutterRendererState& | Gsv::operator&= (GutterRendererState& lhs, GutterRendererState rhs)
GutterRendererState& | Gsv::operator^= (GutterRendererState& lhs, GutterRendererState rhs)

## Detailed Description

## Enumeration Type Documentation

## ◆ BackgroundPatternType

enum Gsv::BackgroundPatternType

Since gtksourceviewmm 3.16

Enumerator
BACKGROUND_PATTERN_TYPE_NONE | No pattern. no pattern
BACKGROUND_PATTERN_TYPE_GRID | Grid pattern. grid pattern

## ◆ BracketMatchType

enum Gsv::BracketMatchType

Enumerator
BRACKET_MATCH_NONE | Describes result of matching brackets. There was no bracket to match. Since gtksourceviewmm 3.0 There is no bracket to match.
BRACKET_MATCH_OUT_OF_RANGE | Matching a bracket failed because the maximum range was reached.
BRACKET_MATCH_NOT_FOUND | A matching bracket was not found.
BRACKET_MATCH_FOUND | A matching bracket was found.

## ◆ CompletionActivation

enum Gsv::CompletionActivation

Bitwise operators:
  `CompletionActivation operator|(CompletionActivation, CompletionActivation)`
  `CompletionActivation operator&(CompletionActivation, CompletionActivation)`
  `CompletionActivation operator^(CompletionActivation, CompletionActivation)`
  `CompletionActivation operator~(CompletionActivation)`
  `CompletionActivation& operator|=(CompletionActivation&, CompletionActivation)`
  `CompletionActivation& operator&=(CompletionActivation&, CompletionActivation)`
  `CompletionActivation& operator^=(CompletionActivation&, CompletionActivation)`

Enumerator
COMPLETION_ACTIVATION_NONE | An enum type specifying something bla bla bla, probably type of activation. None. Since gtksourceviewmm 2.10 None.
COMPLETION_ACTIVATION_INTERACTIVE | Interactive activation. By default, it occurs on each insertion in the Gtk::TextBuffer. This can be blocked temporarily with Gtk::SourceCompletion::block_interactive().
COMPLETION_ACTIVATION_USER_REQUESTED | User requested activation. By default, it occurs when the user presses <keycombo><keycap>Control</keycap><keycap>space</keycap></keycombo>. For example through a keyboard accelerator from the view.

## ◆ GutterRendererAlignmentMode

enum Gsv::GutterRendererAlignmentMode

The alignment mode of the renderer, when a cell spans multiple lines (due to text wrapping).

Enumerator
GUTTER_RENDERER_ALIGNMENT_MODE_CELL | The full cell.
GUTTER_RENDERER_ALIGNMENT_MODE_FIRST | The first line.
GUTTER_RENDERER_ALIGNMENT_MODE_LAST | The last line.

## ◆ GutterRendererState

enum Gsv::GutterRendererState

Bitwise operators:
  `GutterRendererState operator|(GutterRendererState, GutterRendererState)`
  `GutterRendererState operator&(GutterRendererState, GutterRendererState)`
  `GutterRendererState operator^(GutterRendererState, GutterRendererState)`
  `GutterRendererState operator~(GutterRendererState)`
  `GutterRendererState& operator|=(GutterRendererState&, GutterRendererState)`
  `GutterRendererState& operator&=(GutterRendererState&, GutterRendererState)`
  `GutterRendererState& operator^=(GutterRendererState&, GutterRendererState)`

Enumerator
GUTTER_RENDERER_STATE_NORMAL | Normal state.
GUTTER_RENDERER_STATE_CURSOR | Area in the renderer represents the line on which the insert cursor is currently positioned.
GUTTER_RENDERER_STATE_PRELIT | The mouse pointer is currently over the activatable area of the renderer.
GUTTER_RENDERER_STATE_SELECTED | Area in the renderer represents a line in the buffer which contains part of the selection.

## ◆ SmartHomeEndType

enum Gsv::SmartHomeEndType

Enumerator
SMART_HOME_END_DISABLED | Defines a behaviour of smart Home/End keys. Smart-home-end disabled.
SMART_HOME_END_BEFORE | Move to the first/last non-whitespace character on the first press of the HOME/END keys and to the beginning/end of the line on the second press.
SMART_HOME_END_AFTER | Move to the beginning/end of the line on the first press of the HOME/END keys and to the first/last non-whitespace character on the second press.
SMART_HOME_END_ALWAYS | Always move to the first/last non-whitespace character when the HOME/END keys are pressed.

## Function Documentation

## ◆ operator&() [1/2]

CompletionActivation Gsv::operator& | ( | CompletionActivation | lhs,
|  | CompletionActivation | rhs )
| inline

## ◆ operator&() [2/2]

GutterRendererState Gsv::operator& | ( | GutterRendererState | lhs,
|  | GutterRendererState | rhs )
| inline

## ◆ operator&=() [1/2]

CompletionActivation& Gsv::operator&= | ( | CompletionActivation& | lhs,
|  | CompletionActivation | rhs )
| inline

## ◆ operator&=() [2/2]

GutterRendererState& Gsv::operator&= | ( | GutterRendererState& | lhs,
|  | GutterRendererState | rhs )
| inline

## ◆ operator^() [1/2]

CompletionActivation Gsv::operator^ | ( | CompletionActivation | lhs,
|  | CompletionActivation | rhs )
| inline

## ◆ operator^() [2/2]

GutterRendererState Gsv::operator^ | ( | GutterRendererState | lhs,
|  | GutterRendererState | rhs )
| inline

## ◆ operator^=() [1/2]

CompletionActivation& Gsv::operator^= | ( | CompletionActivation& | lhs,
|  | CompletionActivation | rhs )
| inline

## ◆ operator^=() [2/2]

GutterRendererState& Gsv::operator^= | ( | GutterRendererState& | lhs,
|  | GutterRendererState | rhs )
| inline

## ◆ operator|() [1/2]

CompletionActivation Gsv::operator| | ( | CompletionActivation | lhs,
|  | CompletionActivation | rhs )
| inline

## ◆ operator|() [2/2]

GutterRendererState Gsv::operator| | ( | GutterRendererState | lhs,
|  | GutterRendererState | rhs )
| inline

## ◆ operator|=() [1/2]

CompletionActivation& Gsv::operator|= | ( | CompletionActivation& | lhs,
|  | CompletionActivation | rhs )
| inline

## ◆ operator|=() [2/2]

GutterRendererState& Gsv::operator|= | ( | GutterRendererState& | lhs,
|  | GutterRendererState | rhs )
| inline

## ◆ operator~() [1/2]

CompletionActivation Gsv::operator~ | ( | CompletionActivation | flags | ) |
| inline

## ◆ operator~() [2/2]

GutterRendererState Gsv::operator~ | ( | GutterRendererState | flags | ) |
| inline